import App

def Create(pTorp):
	kGlowColor = App.TGColorA()
	kGlowColor.SetRGBA(253.0 / 255.0, 128.0 / 255.0, 0.0 / 255.0, 1.000000)	
	kCoreColor = App.TGColorA()
	kCoreColor.SetRGBA(255.0 / 255.0, 255.0 / 255.0, 0.0 / 139.0, 1.000000)	


	pTorp.CreateTorpedoModel(
					"data/Textures/Tactical/ZZ_BreenCore.tga",
					kCoreColor,
					0.25,
					3.0,	 
					"data/Textures/Tactical/ZZ_DeathGlow.tga", 
					kGlowColor,
					2.0,	
					0.15,	 
					0.35,	
					"data/Textures/Tactical/TorpedoFlares.tga",
					kCoreColor,										
					10,		
					0.075,		
					0.25)

	pTorp.SetDamage( GetDamage() )
	pTorp.SetDamageRadiusFactor(0.15)
	pTorp.SetGuidanceLifetime( GetGuidanceLifetime() )
	pTorp.SetMaxAngularAccel( GetMaxAngularAccel() )

	# Multiplayer specific stuff.  Please, if you create a new torp
	# type. modify the SpeciesToTorp.py file to add the new type.
	import Multiplayer.SpeciesToTorp
	pTorp.SetNetType (Multiplayer.SpeciesToTorp.PHOTON)

	return(0)

def GetLaunchSpeed():
	return(20)

def GetLaunchSound():
	return("Poleron")

def GetPowerCost():
	return(25.0)

def GetName():
	return("Betelgeusian")

def GetDamage():
	return 500.0

def GetGuidanceLifetime():
	return 10.0

def GetMaxAngularAccel():
	return 0.15

def GetLifetime():
	return 25.0

