import Foundation
import App

abbrev = 'Juva'
iconName = 'Juva'
longName = 'Betelgeusian Juva'
shipFile = 'Juva' 
menuGroup = 'Other Ships'
playerMenuGroup = 'Other Ships'
species = App.SPECIES_GALAXY

Foundation.ShipDef.Juva = Foundation.ShipDef(abbrev, species, { 'name': longName, 'iconName': iconName, 'shipFile': shipFile })
Foundation.ShipDef.Juva.fMaxWarp = 9.0

Foundation.ShipDef.Juva.desc = "Juva-class Betelgeusian Star Cruiser\n\nThis class was named after the first Betelgeusian to make it into space from their homeworld. She's armed with 8 offensive medium phasers and 4 defensive light phasers in addition to 2 fwd and 2 aft photon torpedo tubes, and the one photon lance. You'll notice that there aren't any weapon ports for the photon cannon.   There are very powerful force-field generators along the front of the 'horn' (they also serve as the deflector when in warp, in a much lower power setting) that gather the needed particles in front of the ship, and then tear the field open when it fires.\n\nThe Betelgeusians were a sentient avian species that had been encountered by the Federation by the 23rd century.  The inhabitants of the second planet orbiting the real star Betelgeuse were seven-foot-tall humanoids who were actually descended from a race of leopard-like eagles. They had claw and bone-like structures like a condor, but walked upright. As their sun was entering a later stage of life, the Betelgeusians have left their home world, and most of the species lives on space stations and starships.  By the 2270s the species was a member of the United Federation of Planets. The USS Enterprise had a Betelgeusian serving in the sciences division during the V'Ger incident."

if menuGroup:           Foundation.ShipDef.Juva.RegisterQBShipMenu(menuGroup)
if playerMenuGroup:     Foundation.ShipDef.Juva.RegisterQBPlayerShipMenu(playerMenuGroup)

if Foundation.shipList._keyList.has_key(longName):
     Foundation.ShipDef.__dict__[longName].friendlyDetails[2] = Foundation.shipList[longName].friendlyDetails[2]
     Foundation.ShipDef.__dict__[longName].enemyDetails[2] = Foundation.shipList[longName].enemyDetails[2]

